### Method

# Peas Engine dup_loaded_plugins

#### Declaration [src]

    char**
    peas_engine_dup_loaded_plugins (
      PeasEngine* engine
    )

#### Description [src]

Returns the list of the names of all the loaded plugins.

If there is no plugin currently loaded, it will return an array containing a single `NULL` element.

Please note that the returned array is a newly allocated one: you will need to free it using `g_strfreev()`.

#### Return value

Type: An array of `utf8`

A newly-allocated `NULL`-terminated array of strings.

The array is `NULL`-terminated.
The caller of the method takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.